Page MenuHomePhabricator

unknown class Monolog\Handler\AbstractProcessingHandler
Closed, ResolvedPublic

Description

After the introduction of https://gerrit.wikimedia.org/r/#/c/198674/, if $IP/vendor does not include Monolog this error will be seen:

unknown class Monolog\Handler\AbstractProcessingHandler

This is caused by the non-namespaced shim classes for the PSR-3 logging layer all being in the same PHP source file.

Event Timeline

bd808 created this task.Apr 6 2015, 8:27 PM
bd808 claimed this task.
bd808 raised the priority of this task from to High.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 8:27 PM

Change 202221 had a related patch set uploaded (by BryanDavis):
Separate Monolog shims from other logging shims

https://gerrit.wikimedia.org/r/202221

Reported by both @Physikerwelt and @MaxSem via irc.

Change 202221 merged by jenkins-bot:
Separate Monolog shims from other logging shims

https://gerrit.wikimedia.org/r/202221

bd808 closed this task as Resolved.Apr 7 2015, 12:14 AM
bd808 moved this task from To Do to Done on the User-bd808 board.Apr 7 2015, 3:59 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Apr 24 2015, 6:18 PM